Page MenuHomePhabricator

Invite users to enable Cross-wiki Notifications beta feature
Closed, ResolvedPublic

Description

This task uses the same functionality and design crated for the user-feedback panel described in T128937 and T131893, adapting it for a message about signing up for the notifications beta feature.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
InvalidWikinaut
ResolvedCatrope
ResolvedCatrope
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedCatrope
ResolvedMooeypoo
ResolvedTrizek-WMF
DuplicateTrizek-WMF
ResolvedPginer-WMF

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Here are notes from the 2/29/16 Collab Team Discussion meeting:

Do we want to send a message to users about x-wiki notifications?

  • When would be the best time?
    • After beta rollout to all wikis
  • Which method do people like?
    • Method of putting it in the panel gives it context.
    • Ideally, clicking from the panel would enable.
    • Benoît: maybe just send as a notification?
  • Is there a way to target this to people who work on multiple wikis?
    • Yes, we can show to users who would be getting x-wikis.
  • How long to run it for?
    • A couple of weeks?
    • Include a “discard” option; if people select, then don’t show for them after that.
    • Discard would work only for the wiki people are currently in (which is fine as long as the wording indicates that).

I'm assigning this to Pau to propose a design based on our discussion.

Pginer-WMF updated the task description. (Show Details)Mar 3 2016, 5:08 PM

I'm assigning this to Pau to propose a design based on our discussion.

I added some design details and moved the old info of alternatives to a resolved sub-task T128746 (to keep it in the archives)

jmatazzoni added a comment.EditedMar 4 2016, 2:26 AM

A couple of responses on the issue about local opt in:

Issue #1)

@Quiddity wrote:

  • This invitation would not be shown to a user, unless/until they have opted in to the BetaFeature on a single wiki (and/or, they arrived at the wiki via a cross-wiki notification).

I don't think that's what we talked about in the meeting-- or what I understood, anyway. If the above were the condition for getting the invite, then we'll be showing the invite only to a very small group of people who use the beta feature already (but just don't know they have to opt in locally on all wikis). If I understand you correctly, I submit that restricting to this group onlyb would be of limited value.

What I thought we talked about in the meeting is that we would show the invite to anyone who could benefit from the feature --i.e., anyone who edits in multiple wikis. (I see now that the phrase in my meeting notes about "users who would be getting x-wikis" is ambiguous). @Catrope, please clarify: can we show the invite to people who have not yet opted in anywhere? Can we target people who get notifications in multiple wikis?

Issue #2) Re. your other point clarifying that in fact people do need to opt in locally: yes, that is correct. And you're right, we should add something about that to the opt-in language.

Here is some language we used on the Help page for X-wiki:

You must activate the beta feature on a given wiki to receive notifications on that wiki, though no action is necessary to enable a wiki to send notifications to other wikis.

  • This invitation would not be shown to a user, unless/until they have opted in to the BetaFeature on a single wiki (and/or, they arrived at the wiki via a cross-wiki notification).

I don't think that's what we talked about in the meeting-- or what I understood, anyway.

I think he was referring to an option that was proposed earlier, and was removed from this task since.

What I thought we talked about in the meeting is that we would show the invite to anyone who could benefit from the feature --i.e., anyone who edits in multiple wikis. (I see now that the phrase in my meeting notes about "users who would be getting x-wikis" is ambiguous). @Catrope, please clarify: can we show the invite to people who have not yet opted in anywhere? Can we target people who get notifications in multiple wikis?

One thing that was suggested in the meeting is that we could check if the user has unread notifications on other wikis (i.e. "if they had the beta feature enabled, would they be seeing a cross-wiki bundle right now?"), and in that case show them the invitation. That does mean that if they stop having unread notifications on other wikis (i.e. they find out about those notifications and mark them as read either manually or by visiting the right pages), the invitation goes away again. I think that might be a bit unclear and mysterious, but perhaps it won't really be a problem in practice.

Issue #2) Re. your other point clarifying that in fact people do need to opt in locally: yes, that is correct. And you're right, we should add something about that to the opt-in language.

I think this was also referring to an older proposal, where we were trying to combat the issue of people having to opt in locally by showing them a one-click opt-in invitation thing if they had just come onto that wiki by clicking on a cross-wiki notification.

I think this was also referring to an older proposal

OMG, I did not see the dates on people's comments -- I thought this was a new task. Please disregard my above comments.

I reused the former ticket updating the description, sorry if that generated some confusion.

One thing that was suggested in the meeting is that we could check if the user has unread notifications on other wikis (i.e. "if they had the beta feature enabled, would they be seeing a cross-wiki bundle right now?"), and in that case show them the invitation. That does mean that if they stop having unread notifications on other wikis (i.e. they find out about those notifications and mark them as read either manually or by visiting the right pages), the invitation goes away again. I think that might be a bit unclear and mysterious, but perhaps it won't really be a problem in practice.

I think that showing the invite when there are notifications in other wikis provides more benefits than problems. On the one hand, as soon as users enable the feature we show them the added value (otherwise they may enable something and see no immediate change). On the other hand, I expect people to respond to the invite quickly, so the cases where users get exposed to it repeatedly should not be common.

In any case, regardless of the policy for showing it the first time, once the user discards (or accepts) the invite, it should not be shown for the current wiki again.

I know I'm posting something useless, but we really need T114917: Enable cross-wiki users to set preferences for what wikis they see where... That kind of feature would have given to user a way to choose where he want cross-wiki features notices to be displayed.

Elitre added a subscriber: Elitre.Mar 6 2016, 6:43 PM

@Mooeypoo wrote:

So, the way I've done it so far, is that there are three global-config that we can manipulate:

  • Whether or not the feature in general is active on the specific wiki.
  • What link the "survey message" is linking to
  • User specific "I dismissed this and never want to see it again" feature.

    On top of that, the messages are changeable, though we would need to merge new messages if we want them completely changed. So, for now, there are two text "pieces" - "Provide Feedback." and "Take this quick survey about notifications." (the second one is *linked* with a link we provide in the config above)

    Turning it off and on per wiki is easy through the config parameters. Switching the feedback URL is easy through the config parameters.

    There are a couple of issues that may arise if we want to completely change the alert, though, to something else (like "join the beta feature" or something) :
  • Switching out the messages would mean adding them to the i18n files. That's not hard at all, but that requires a code change (small one) and a merging of the messages
  • If the user dismissed a previous iteration of the feedback, their "dismiss" flag is "true" which means that if we switched it up to a different message, we will have to see how we either reset that option (not sure we can or are allowed to?) or we create ANOTHER flag for the new message.

    Are we talking about a case where there's only 1 alert at a time ever, or will there be cases where some users get alert A and some get alert B ?

    If we're planning for the former, then we may need minor code adjustments, but they should be fairly easy. If we are planning for the latter options, then I need to change the code right now to support this better.

Here are my responses:

  • the fact that it requires a code change for a new message is a feature, not a flaw, since we do not intend for this to become a facility that is used by others.

In terms of there being different versions of this running at the same time, yes, I think there will be, though whether in the sense you’re asking about I'm not sure.

  • I don’t anticipate we’d have a need to be running more than one invitation at a time on the same wiki for different purposes.
  • However, we do plan to target multiple languages.
    • for this survey invitation, for example, we will run a French survey invitation on French wikis with a link to a French survey .
    • In the case of the Beta invitation, we will very likely offer the panel across many wikis in many languages, though we haven’t discussed which yet.

Does that answer your questions?

In terms of there being different versions of this running at the same time, yes, I think there will be, though whether in the sense you’re asking about I'm not sure.

  • I don’t anticipate we’d have a need to be running more than one invitation at a time on the same wiki for different purposes.
  • However, we do plan to target multiple languages.
    • for this survey invitation, for example, we will run a French survey invitation on French wikis with a link to a French survey .
    • In the case of the Beta invitation, we will very likely offer the panel across many wikis in many languages, though we haven’t discussed which yet.

      Does that answer your questions?

Different versions on different wikis is fine, since the URL is configurable per-wiki and the messages are translateable.

Different versions that do *completely different things* may be a problem. As in, if the messages are different in more than "just" translation, then we need to make sure we allow each wiki to set its own specific message (which will go against your first point of it not being a facility)

In short, I think the way it's implemented right now is probably fine, but if we want to run survey on enwiki and beta-invite on hewiki, that'll be a problem. I understand from your reply that we don't?

jmatazzoni added a comment.EditedMar 18 2016, 9:47 PM

if we want to run survey on enwiki and beta-invite on hewiki, that'll be a problem. I understand from your reply that we don't?

This is not contemplated at present. If we want this capability in the future, we can build it then.

jmatazzoni updated the task description. (Show Details)

As noted above, the beta message will be delivered using the same user-feedback panel we invented for T128937 and T131893. Below is all the configurable information you should need to reuses this device.

LANGUAGE

or maybe like this?

Note: this should be written in such a way that longer translations will simply wrap to a second line.

ICONS

  • Feedback icon:
  • "Info" and "close" icons are available as such in the icon repo.

LINK to the Preferences, Beta features page on the current wiki

DISMISS [X]: clicking the X permanently dismisses the invitation for that user on that wiki.

INFORMATION [?] TOOLTIP/HOVER TEXT: This panel provides information about the Notification system as part of the Wikimedia Foundation's efforts to improve the tool's functionality. Clicking the link will take you to the Preferences page.

TARGET AUDIENCE

  • Show the invitation to on all wikis in all languages to users who....
  • ...would be receiving an X-wiki notification

INFORMATION [?] TOOLTIP/HOVER TEXT: This panel provides information about the Notification system as part of the Wikimedia Foundation's efforts to improve the tool's functionality. Clicking the link will take you to the Preferences page.

Given that T132384: Scrolling on the Echo survey's popup/tooltip is still not fixed (and is hard to fix), how bad is it if we drop this hover text? It was clearly valuable when we had a link to a third-party web site in there for the survey, but with this it seems like it may be more justifiable to drop it.

Change 285326 had a related patch set uploaded (by Catrope):
Repurpose survey call-out in the footer for beta feature invitation

https://gerrit.wikimedia.org/r/285326

INFORMATION [?] TOOLTIP/HOVER TEXT: This panel provides information about the Notification system as part of the Wikimedia Foundation's efforts to improve the tool's functionality. Clicking the link will take you to the Preferences page.

Given that T132384: Scrolling on the Echo survey's popup/tooltip is still not fixed (and is hard to fix), how bad is it if we drop this hover text? It was clearly valuable when we had a link to a third-party web site in there for the survey, but with this it seems like it may be more justifiable to drop it.

I think it is ok not to have the extra help action in this context:

  • Users will see the effect of a notification from another site which will surface the effects of the action.
  • The beta feature description already has a a description link.

If we want to surface that info for the user to make a decision, we can make the info icon just be a link to the cross-wiki information page.

I think it's OK to skip the tooltip (and remove the ? icon.)

OK, thanks. I've amended the patch to remove the info icon.

Catrope claimed this task.Apr 27 2016, 7:24 AM
Catrope set Security to None.
Catrope moved this task from Untriaged to Needs Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 285326 merged by jenkins-bot:
Repurpose survey call-out in the footer for beta feature invitation

https://gerrit.wikimedia.org/r/285326

Is there any translations needed?

Yes, universal. I assume that is being manage in the usual way.

Sorry, my brain went too far. :)
My question was more like "do you have links to translations so I can post an email to translators" ?

Sorry, my brain went too far. :)
My question was more like "do you have links to translations so I can post an email to translators" ?

It's two messages on TranslateWiki: echo-popup-footer-beta-invitation and echo-popup-footer-beta-invitation-link

Invitation sent.

Sorry, my brain went too far. :)
My question was more like "do you have links to translations so I can post an email to translators" ?

It's two messages on TranslateWiki: echo-popup-footer-beta-invitation and echo-popup-footer-beta-invitation-link

Just to add some more context:

Thanks for reminding me, Pau. The Dutch translations had fallen behind a bit, so I fixed that. Echo is now once again 100% translated into Dutch :)

Checked in betalabs - the invitation functions according to the specs.

A user sees the invitations (as it was described in the ticket) when

  • a user has other wiki notifications

AND

  • and has enabled beta feature 'Enhanced notification' at least on one wiki

As part of the testing the following specific cases were checked:

  • new users without any local notifications, but with some notifications from other wikis.

  • when a user clicks on 'X' to dismiss the invitation, it wouldn't be displayed again.
  • if the invitation is not displayed due to the fact that all messages/alerts in other wikis were read, then 'Mark as unread' will make the invitation being displayed.
  • if a user disables 'Enchanced notification' manually but still has unread notifications from other wikis, the invitation would be displayed.

@Pginer-WMF the 'X' is a little misaligned?

vs

jmatazzoni closed this task as Resolved.Apr 29 2016, 8:52 PM

> @Pginer-WMF the 'X' is a little misaligned?

On a compact item like this, the "x" could work well vertically aligned either at the top or the middle (as currently is). If it is aligned to the middle, it would be good the icon on the left to also be aligned in the same way.

@Etonkovidova, do you know why this screenshot seems to be a mix of Spanish and English? Is that from a live site?

@jmatazzoni, I think that's due to a lack of translations in Catalan when the sceenshot has been taken.

jmatazzoni reopened this task as Open.May 2 2016, 4:01 PM

Also, re. Pau's comment:

On a compact item like this, the "x" could work well vertically aligned either at the top or the middle (as currently is). If it is aligned to the middle, it would be good the icon on the left to also be aligned in the same way.

I'm reopening this and moving to RFP.

Change 286529 had a related patch set uploaded (by Catrope):
FooterNoticeWidget: Top-align the close icon

https://gerrit.wikimedia.org/r/286529

Change 286529 merged by jenkins-bot:
FooterNoticeWidget: Top-align the close icon

https://gerrit.wikimedia.org/r/286529

Change 286532 had a related patch set uploaded (by Catrope):
FooterNoticeWidget: Top-align the close icon

https://gerrit.wikimedia.org/r/286532

Change 286534 had a related patch set uploaded (by Catrope):
Show the cross-wiki notifications beta feature invitation on all wikis

https://gerrit.wikimedia.org/r/286534

Change 286535 had a related patch set uploaded (by Catrope):
Repurpose survey call-out in the footer for beta feature invitation

https://gerrit.wikimedia.org/r/286535

Change 286535 merged by jenkins-bot:
Repurpose survey call-out in the footer for beta feature invitation

https://gerrit.wikimedia.org/r/286535

Change 286532 merged by jenkins-bot:
FooterNoticeWidget: Top-align the close icon

https://gerrit.wikimedia.org/r/286532

Change 286534 merged by jenkins-bot:
Show the cross-wiki notifications beta feature invitation on all wikis

https://gerrit.wikimedia.org/r/286534

This is now live, with some translations already too:

(And now I feel silly for having written the one translation that's missing a period at the end of the bolded sentence. Fixed on TranslateWiki.)

Checked in production - the 'x' is aligned now.
enwiki


hewiki

nlwiki - the dot is missing


ruwiki - translation is not done

jmatazzoni closed this task as Resolved.May 3 2016, 9:15 PM